[SciPy-user] Building scipy_core 0.6.1 and 0.8.4 from source fails on Windows XP Pro / cygwin

Travis Oliphant oliphant.travis at ieee.org
Sun Dec 25 00:05:39 CST 2005


George Christianson wrote:

>Good morning,
>	I tried to build scipy_core versions 0.6.1 and 0.8.4 from SourceForge 
>sources.  My platform runs Windows XP version 2002, service pack 2, with a 
>4 processor 3GHZ pentium.  I build under cygwin 1.5.18, gcc version 3.4.4, 
>python 2.4.1.  In each of the two versions, I unpacked the gzipped source 
>files and ran 'python setup.py build.  In eack case, the builds proceeded 
>normally until this point:
>  
>

These errors are due to the fact that cygwin support is not present 
yet.  The section of code that handles the IEEE flags is platform 
dependent.  I borrowed numarray's work for several platforms and made 
sure that mingw32 worked (since that is what I use to compile on 
Windows).  However, I don't know the right combination of detection and 
include files to use for cygwin.   It should be possible and not a 
difficult thing to do.

Look in base/include/scipy/ufuncobject.h for examples of the platform 
dependent ifdef statements.

-Travis



More information about the SciPy-user mailing list